services:
  _defaults:
    public: true

  prestashop.core.showcase_card.configuration_map:
    class: 'PrestaShop\PrestaShop\Core\Domain\ShowcaseCard\ConfigurationMap'

  # Command handlers

  prestashop.core.showcase_card.command_handler.close_showcase_card:
    class: 'PrestaShop\PrestaShop\Core\Domain\ShowcaseCard\CommandHandler\CloseShowcaseCardHandler'
    arguments:
      - '@prestashop.adapter.legacy.configuration'
      - '@prestashop.core.showcase_card.configuration_map'
    tags:
      - name: 'tactician.handler'
        command: 'PrestaShop\PrestaShop\Core\Domain\ShowcaseCard\Command\CloseShowcaseCardCommand'

  # Query handlers

  prestashop.core.domain.showcase_card.query_handler.get_showcase_card_is_closed_handler:
    class: PrestaShop\PrestaShop\Core\Domain\ShowcaseCard\QueryHandler\GetShowcaseCardIsClosedHandler
    arguments:
      - '@prestashop.adapter.legacy.configuration'
      - '@prestashop.core.showcase_card.configuration_map'
    tags:
      - name: 'tactician.handler'
        command: 'PrestaShop\PrestaShop\Core\Domain\ShowcaseCard\Query\GetShowcaseCardIsClosed'
